from sklearn.metrics import classification_report, confusion_matrix, accuracy_score
from sklearn.neighbors import KNeighborsClassifier
from sklearn.preprocessing import StandardScaler
from sklearn.model_selection import train_test_split
import numpy as np
import matplotlib.pyplot as plt
import pandas as pd

# Assign colum names to the dataset
names = ['x', 'y', 'Class']

# Read dataset to pandas dataframe
dataset = pd.read_csv("gait_avg_480.data", names=names)

for neighbors in range(1, 50):
    X = dataset.iloc[:, :-1].values
    y = dataset.iloc[:, 2].values

    X_train, X_test, y_train, y_test = train_test_split(X, y, test_size=0.20)

    scaler = StandardScaler()
    scaler.fit(X_train)

    X_train = scaler.transform(X_train)
    X_test = scaler.transform(X_test)

    classifier = KNeighborsClassifier(n_neighbors=7)
    classifier.fit(X_train, y_train)

    y_pred = classifier.predict(X_test)

    print("neighbors: " + str(neighbors) +
          " " + str(accuracy_score(y_test, y_pred)))
